<?
define('SHCMS_ENGINE',true);
include_once('../engine/system/core.php');

$templates->template('Регистрация пользователя');

            //Если авторизован пользователь то переадресация на главную
        if($id_user == true) { //$id_user - id пользователя 
		    header("Location: ../index.php"); //Переадресация
			exit; //Закрыть дальнейщее действие
		}       
	//Отключение регистрации
	if($glob_core['off_reg'] == 1) {
	echo engine::error(Lang::__('Проносим свои извинения, Регистрация временно отключена!'));
	   echo engine::home(array(Lang::__('Назад'),'/')); //Переадресация
	exit;
	}
// Инициализируем переменные для введенных значений и возможных ошибок
$errors = array();

if(isset($_POST['submit'])) { $submit = $_POST['submit'];}

if(isset($submit)) {

    $nick = isset($_POST['login']) ? engine::trim($_POST['login']) : '';
	$pass = isset($_POST['pass']) ? engine::trim($_POST['pass']) : '';
	$pass2 = isset($_POST['pass2']) ? engine::trim($_POST['pass2']) : '';
	$mail = isset($_POST['email']) ? engine::trim($_POST['email']) : '';
	
	//Проверяем Логин
    if(empty($nick)) {
		$errors['nick'][] = 'Не введен логин';
	}elseif(mb_strlen($nick) < 2 || mb_strlen($nick) > 30) {
		$errors['nick'][] = 'Недопустимая длина логина';
	}
	    //Если есть запрещенные символы то выводит ошибку
		if($nick  != $db->safesql($nick)) {
    		$errors['nick'][] = 'В Имени содержатся запрещенные символы';
			exit;		
		}
	//Проверяем пароль
	if(empty($pass)) {
		$errors['pass'][] = 'Не введен пароль';
	}elseif(mb_strlen($pass) < 2 || mb_strlen($pass) > 30) {
		$errors['pass'][] = 'Недопустимая длина пароля';
	}
	if(empty($pass2)) {
		$errors['pass2'][] = 'Не введен пароль';
	}elseif(mb_strlen($pass2) < 2 || mb_strlen($pass2) > 30) {
		$errors['pass2'][] = 'Недопустимая длина пароля';
	}
	//Проверка пароля на допустимость символов
    if (preg_match("/[^\da-zA-Z_]+/", $pass)){
	   		$errors['pass'][] = 'В пароле присутствуют недопустимые символы';
       exit;
	}
	//Проверка на совпадение паролей $pass $pass2
	if($pass != $pass2) {
		$errors['pass2'][] = 'Пароли не совпадают';
	}
	
		//Проверяем правильно ли введен Email
		$valid_email = filter_var($mail, FILTER_VALIDATE_EMAIL);
	   		if($valid_email === false) {
				$errors['email'][] = Lang::__('Некорректный E-mail адрес');
			}
	//Если введенный емаил уже есть в базе данных то выводит ошибку		
            $reqmail = $db->query("SELECT * FROM `users` WHERE `email`='" . $db->safesql($mail) ."'");
        if ($db->get_array($reqmail) != 0) {
            $errors['email'][] = 'Введенный вами Email занят ';
	    }
		if(empty($errors)) {
		$pass3 = md5(md5($pass));
    //Проверяем свободен ли ник		
            $regnick = $db->query("SELECT * FROM `users` WHERE `nick`='" . $db->safesql($nick) ."'");
        if ($db->get_array($regnick) != 0) {
            $errors['nick'][] = 'Введенный вами Логин занят ';
	    }
	}
		if(empty($errors)) {
	$mysql = $db->query('INSERT INTO `users` (`nick`,`email`,`password`,`reg_date`) VALUES ("'.$db->safesql($nick).'","'.$db->safesql($mail).'","'.$db->safesql($pass3).'","'.time().'")');
	    if($glob_core['notify_reg'] == 1) {
		    $db->query("INSERT INTO `log_user` (`id_user`,`nick`,`text`,`time`,`run`) VALUES ('".intval(1)."','".$db->safesql($nick)."','".Lang::__('На сайте зарегистрировался новый пользователь')."','".time()."','1')");
		}
	if($mysql == true) {
	    echo engine::success('Ваш аккаунт успешно создан');
	}else {
	    echo engine::error('Ошибка при создании аккаунта');
	}
	exit;
	}
	
	
}
echo '<div class="mainname">'.Lang::__('Данные при регистрации').'</div>';
echo '<div class="mainpost">';
echo '<div style="color: #ab1f39;font-weight: bold;font-size:11px;text-align:center;">* Требуемая информация</div>';
$form = new form('?');
$form->input('<b>Имя пользователя <font color="red">*</font></b>','login','text',htmlspecialchars($nick),(isset($errors['nick']) ? '<span style="color:red"><small>' . implode('<br />', $errors['nick']) . '</small></span><br />' : ''));
$form->text('<div style="font-size:11px;color: #a4a4a4;">Между 3 и 30 символами</div><br/>');
$form->input('<b>E-mail адрес <font color="red">*</font></b>','email','text',false,(isset($errors['email']) ? '<span style="color:red"><small>' . implode('<br />', $errors['email']) . '</small></span><br />' : ''));
$form->text('<div style="font-size:11px;color: #a4a4a4;">Для того чтобы мы могли подтвердить вашу регистрацию</div>');
$form->input('<br/><b>Пароль <font color="red">*</font></b>','pass','password',false,(isset($errors['pass']) ? '<span style="color:red"><small>' . implode('<br />', $errors['pass']) . '</small></span><br />' : ''));
$form->text('<div style="font-size:11px;color: #a4a4a4;">Вы должны использовать сложный пароль, содержащий не менее 3 и не более 32 символов</div>');
$form->input('<br/><b>Подтвердите пароль <font color="red">*</font></b>','pass2','password',false,(isset($errors['pass2']) ? '<span style="color:red"><small>' . implode('<br />', $errors['pass2']) . '</small></span><br />' : ''));
//$form->select('<br/>Ваш пол: <font color="red">*</font>','pol',array('Мужской' => 1,'Женский' => 2));
$form->text('</div><div class="submit">');
$form->submit('Регистрация','submit',false,'Button');
$form->text(' или <a class="cancel" href="../index.php">Отмена</a>');
$form->display();
echo '</div>';

?>